#
# spec file for package perl-Exporter-Tiny
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Exporter-Tiny
Version:        0.042
Release:        5.1
%define cpan_name Exporter-Tiny
Summary:        an exporter with the features of Sub::Exporter but only core dependencies
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Exporter-Tiny/
Source:         http://www.cpan.org/authors/id/T/TO/TOBYINK/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Exporter::Tiny supports many of Sub::Exporter's external-facing features
including renaming imported functions with the '-as', '-prefix' and
'-suffix' options; explicit destinations with the 'into' option; and
alternative installers with the 'installler' option. But it's written in
only about 40% as many lines of code and with zero non-core dependencies.

Its internal-facing interface is closer to Exporter.pm, with configuration
done through the '@EXPORT', '@EXPORT_OK' and '%EXPORT_TAGS' package
variables.

Exporter::Tiny performs most of its internal duties (including resolution
of tag names to sub names, resolution of sub names to coderefs, and
installation of coderefs into the target package) as method calls, which
means they can be overridden to provide interesting behaviour.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING COPYRIGHT CREDITS doap.ttl examples LICENSE README

%changelog
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.042
  see /usr/share/doc/packages/perl-Exporter-Tiny/Changes
  0.042	2014-10-04
  [ Documentation ]
  - Document the warning emitted when you provide options to a function you
    are unimporting.
  [ Other ]
  - Housekeeping on %%TRACKED.
  0.041_02	2014-09-19
  [ Bug Fixes ]
  - Option validation needs to happen after expanding tags.
  0.041_01	2014-09-18
  - Add an `unimport` feature.
* Mon Sep 22 2014 coolo@suse.com
- updated to 0.040
  [ Packaging ]
  - Repackage as a stable release.
  0.039_01       2014-07-20
  [ Documentation ]
  - Document warning and error messages produced by Exporter::Tiny.
  [ Other ]
  - Exporter::Tiny would previously cause B.pm to be loaded into memory any
    time it exported anything. It no longer does.
  - No longer die when redefining locally defined subs.
  - Warn when redefining any subs.
  0.038  2014-04-04
  0.037_03       2014-04-02
  [ Bug Fixes ]
  - Only attempt to merge hashes if we're sure they're both really hashes!
  0.037_02       2014-04-02
  - Improved handling of hashrefs of options passed to tags, and hashrefs of
    options found within %%EXPORT_TAGS arrayrefs.
  0.037_01       2014-03-26
  [ Documentation ]
  - Fix minor error in documentation of generators.
  [ Other ]
  - Added: Support Exporter.pm's import negation syntax qw( !foo ).
  - Added: Support Exporter.pm's regexp import syntax qw( /foo/ ).
* Tue Nov 26 2013 coolo@suse.com
- initial package 0.030
  * created by cpanspec 1.78.07
